#!/bin/sh -x

pool=t1

# destroy existing pool
zpool status $pool && zpool destroy $pool

mkdisk() {
	dd if=/dev/zero of=disk/$1 bs=1M count=64
}

test -d disk || mkdir disk
mkdisk 1
mkdisk 2
mkdisk 3
mkdisk 4
mkdisk 5
mkdisk 6
mkdisk 7
mkdisk 8
mkdisk 9
mkdisk 10
mkdisk 11
mkdisk spare

d=`pwd`/disk

zpool create $pool raidz1 $d/1 $d/2 $d/3 $d/4 $d/5 $d/6 $d/7 $d/8 $d/9 $d/10 $d/11 spare $d/spare

zpool status $pool

dd if=/dev/zero of=/$pool/foo bs=1M count=500

zfs list $pool

dd if=/dev/urandom of=$d/11 bs=1M count=20

zpool status $pool

zpool scrub $pool

zpool status $pool

zpool replace $pool $d/11 $d/spare

zpool status $pool

zpool detach $pool $d/11

zpool status $pool

mkdisk 11.replaced

zpool replace $pool $d/spare $d/11.replaced

zpool status $pool
